Subject: bug#16818: Acknowledgement (Undo in region after markers in undo history relocated)

From: Stefan Monnier <[email-masked]>
Date: Thu, 13 Mar 2014 10:35:05 -0400

>> Your counter proposal is a step from the root.  For instance, the
>> markers within the mark rings will not adjust correctly, whilst with
>> my patch they will.
> Can you give an example incorrect adjustment?

Oh, I think I see: with the current code, the mark-ring gets copies of
markers and those copies are made "late", so if you do "C-SPC, some
deletion around point, and then C-SPC", a new marker for the first C-SPC
is pushed on the mark-ring, but the undo-log has an adjustment for
mark-marker rather than for that new marker.

IOW, I think the primitive-undo fix is needed and your fix is also needed.
I think your fix is too risky for the 24.4, tho (IOW, please wait for
the trunk to re-open before installing it).  The primitive-undo fix
should be safe enough for 24.4, so if you want to code this up and
install it, feel free.

        Stefan